%global release 1
%global prereleasesource develop
%global prerelease %{?prereleasesource}

Name:       foreman-installer
Epoch:      1
Version:    3.14.0
Release:    0.20241112143327799098.pr949.819.gbb192c7%{?dist}
Summary:    Puppet-based installer for The Foreman
Group:      Applications/System
License:    GPLv3+ and ASL 2.0
URL:        https://theforeman.org
Source0:    foreman-installer-3.14.0-develop.tar.bz2

BuildArch:  noarch

Requires:   curl
Requires:   hostname
Requires:   puppet-agent >= 7.0.0
Requires:   rubygem(kafo) >= 7.6.0
Requires:   rubygem(kafo) < 8.0.0
Requires:   ruby(release)

BuildRequires: asciidoc
BuildRequires: puppet-agent >= 7.0.0
BuildRequires: rubygem(rake)
BuildRequires: rubygem(kafo) >= 7.6.0
BuildRequires: rubygem(kafo) < 8.0.0
BuildRequires: puppet-agent-puppet-strings >= 1.2.0
BuildRequires: puppet-agent-puppet-strings < 5

%description
Complete installer for The Foreman life-cycle management system based on Puppet.

%package katello
Summary: Katello installer bits
Group: Applications/System
Provides: katello-installer-base < 3.11.0-1
Obsoletes: katello-installer-base < 3.11.0-1

Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: openssl
Requires: katello-certs-tools
Requires: which

# both katello and foreman-proxy-content scenarios require this
# it also makes the package lock feature available on the first run
Requires: foreman-maintain

%description katello
Various scenarios and tools for the Katello ecosystem

%prep
%setup -q -n foreman-installer-3.14.0-develop

%build
rake build \
  VERSION=%{version} \
  LOCALSTATEDIR=%{_localstatedir} \
  PREFIX=%{_prefix} \
  SBINDIR=%{_sbindir} \
  SYSCONFDIR=%{_sysconfdir} \
  --trace

%install
rake install \
  PREFIX=%{buildroot}%{_prefix} \
  LOCALSTATEDIR=%{buildroot}%{_localstatedir} \
  SBINDIR=%{buildroot}%{_sbindir} \
  SYSCONFDIR=%{buildroot}%{_sysconfdir} \
  --trace

%post
foreman-installer --scenario foreman --migrations-only > /dev/null

%post katello
foreman-installer --scenario foreman-proxy-content --migrations-only > /dev/null
foreman-installer --scenario katello --migrations-only > /dev/null

%files
%defattr(-,root,root,-)
%doc README.*
%license LICENSE
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/custom-hiera.yaml
%dir %{_sysconfdir}/%{name}/scenarios.d
%{_sysconfdir}/%{name}/scenarios.d/foreman.migrations
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/scenarios.d/foreman.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/scenarios.d/foreman-answers.yaml
%config(noreplace) %{_sysconfdir}/%{name}/scenarios.d/foreman-migrations-applied
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8

# katello files
%exclude %{_datadir}/%{name}/config/foreman-proxy-content*
%exclude %{_datadir}/%{name}/config/katello*
%exclude %{_datadir}/%{name}/katello-certs
%exclude %{_datadir}/%{name}/parser_cache/foreman-proxy-certs.yaml
%exclude %{_datadir}/%{name}/parser_cache/foreman-proxy-content.yaml
%exclude %{_datadir}/%{name}/parser_cache/katello.yaml

%files katello
# common
%{_sbindir}/katello-certs-check

# foreman-proxy-content scenario
%{_datadir}/%{name}/config/foreman-proxy-content*
%{_datadir}/%{name}/parser_cache/foreman-proxy-content.yaml
%{_sysconfdir}/%{name}/scenarios.d/foreman-proxy-content.migrations
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/scenarios.d/foreman-proxy-content.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/scenarios.d/foreman-proxy-content-answers.yaml
%config(noreplace) %{_sysconfdir}/%{name}/scenarios.d/foreman-proxy-content-migrations-applied

# katello scenario
%{_datadir}/%{name}/config/katello*
%{_datadir}/%{name}/parser_cache/katello.yaml
%{_sysconfdir}/%{name}/scenarios.d/katello.migrations
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/scenarios.d/katello.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/scenarios.d/katello-answers.yaml
%config(noreplace) %{_sysconfdir}/%{name}/scenarios.d/katello-migrations-applied

# foreman-proxy-certs-generate
%{_datadir}/%{name}/katello-certs
%{_datadir}/%{name}/parser_cache/foreman-proxy-certs.yaml
%{_sbindir}/foreman-proxy-certs-generate

%changelog
* Tue Nov 12 2024 Packit <hello@packit.dev> - 1:3.14.0-0.20241112143327799098.pr949.819.gbb192c7
- Fixes #36940 - Add necessary migration for host_config tftp directory (Markus Reisner)
- Bump develop to 3.14.0-develop (Cole Higgins)
- Refs #37940 - pass all PostgreSQL settings as environment variables (Evgeni Golov)
- Fixes #37940 - pass PGPASSWORD via environment variable (Evgeni Golov)
- Refs #37940 - allow passing extra_env when calling commands (Evgeni Golov)
- Fixes #37874 - don't try to swap modules, this can fail (Evgeni Golov)
- Fixes #37828: Ignore system CA trust when verifying certificates (Eric D. Helms)
- accept ECC keys in katello-certs-check (Evgeni Golov)
- correctly exit non zero when the SAN doesn't match (Evgeni Golov)
- Refs #37797 - ensure we can start PostgreSQL by forcing the old version (Evgeni Golov)
- Refs #37797 - use CSV output from psql (Evgeni Golov)
- Fixes #37797 - ensure PostgreSQL upgrade uses the right locales (Evgeni Golov)
- Refs #37604 - Use the correct answer in DNS normalize migration (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.13.0-develop (Cole Higgins)
- Reapply "Fixes #37726 - Force fact upload to update OS facts" (Evgeni Golov)
- Revert "Fixes #37726 - Force fact upload to update OS facts" (Evgeni Golov)
- Disable reverse proxy by default (#958) (Eric Helms)
- Split migration spec into separate files (Ewoud Kohl van Wijngaarden)
- Fixes #37726 - Force fact upload to update OS facts (Evgeni Golov)
- Pin minitar to < 1.0.0 since it breaks tests (Samir Jha)
- Add HDM to installer (Martin Alfke)
- Fixes #37693 - Add check for ipv6.disable=1 in /proc/cmdline (Ewoud Kohl van Wijngaarden)
- Fixes #37686 - Stop puppetserver if java is too old (Ewoud Kohl van Wijngaarden)
- Only mark certs for update if the directory exists (Ewoud Kohl van Wijngaarden)
- Refs #37604 - Normalize DNS forwarders to an array (Ewoud Kohl van Wijngaarden)
- Fixes #37568 - Add possibility to set puppet version (dosas)
- Bump develop to 3.12.0-develop (Griffin-Sullivan)
- Refs #33974 - Update the db_pool value (Shimon Shtein)
- Fixes #37393 - Adapt rubocop command to work with rubocop version 0.80.1 (dosas)
- Correctly evaluate the Puppetfile in pin_modules (Ewoud Kohl van Wijngaarden)
- pkg:generate_source already prints the path to the tarball (Evgeni Golov)
- archive puppet lock (Evgeni Golov)
- add GHA based tests (Evgeni Golov)
- explicitly install racc on Ruby 3.3+ (Evgeni Golov)
- Fixes #37392 - Exclude vendor dir in .rubocop.yaml (dosas)
- Ensure the system encoding is UTF-8 (Evgeni Golov)
- Also add semverse to test group (Eric D. Helms)
- Support a maximum version in pin_modules rake task (Ewoud Kohl van Wijngaarden)
- Factor out FakePuppetfile so it can be tested in rspec (Ewoud Kohl van Wijngaarden)
- Fix RSpec/ContextWording cop (archanaserver)
- Fix Performance/Casecmp cop (archanaserver)
- Fix Rubocop Style/FileWrite (archanaserver)
- Fix Rubocop Style/ConcatArrayLiterals (archanaserver)
- Fix Rubocop Style/RedundantConstantBase (archanaserver)
- Fix Rubocop Layout/LineEndStringConcatenationIndentation (archanaserver)
- Fix Rubocop Layout/LineContinuationLeadingSpace (archanaserver)
- Fix Rubocop Layout/IndentationConsistency (archanaserver)
- Fix Rubocop Layout/RescueEnsureAlignment & Layout/BeginEndAlignment (archanaserver)
- Fix Rubocop Layout/IndentationWidth (archanaserver)
- Fix Rubocop Style/GlobalStdStream (archanaserver)
- Fix Rubocop Layout/EndAlignment (archanaserver)
- Fix Rubocop Style/StringConcatenation (archanaserver)
- Fix Rubocop Style/SoleNestedConditional (archanaserver)
- Update Rubocop version & fix offenses (archanaserver)
- Fixes #37297 - Use SCRAM passwd encryption with PostgreSQL (Ewoud Kohl van Wijngaarden)
- Fixes #37296 - Drop foreman-hooks (Adam Ruzicka)
- Fixes #37261 - Add gitlab ci configuration (dosas)
- Fixes #37063 - Add feature in katello-certs-check to verify if CA bundle has any certificates with trust rules (Joniel Pasqualetto)
- Fixes #37306 - Reset Puppetserver ciphers if needed (Ewoud Kohl van Wijngaarden)
- Refs #37298 - Add migrations to drop setup plugin (Ewoud Kohl van Wijngaarden)
- Fixes #37298 - Drop foreman_setup plugin (Ewoud Kohl van Wijngaarden)
- Refs #37291 - Only reset puppetserver's JVM if it's /usr/bin/java (Ewoud Kohl van Wijngaarden)
- Refs #37291 - Reset Puppet's java_bin (Ewoud Kohl van Wijngaarden)
- Remove smart_proxy_dynflow_core.service (Eric D. Helms)
- Drop inclusion of Qpid module (Eric D. Helms)
- Check if /opt/puppetlabs is mounted noexec (Ewoud Kohl van Wijngaarden)
- Allow puppetlabs/apache 12.x (Evgeni Golov)
- Fixes #37177 - Upgrade PostgreSQL to 13 on EL8 (Evgeni Golov)
- Bump develop to 3.11.0-develop (Griffin-Sullivan)
- build packit for el9 (Evgeni Golov)
- Refs #37097 - Use .tar.gz file extension for tarballs (Ewoud Kohl van Wijngaarden)
- pin puppetlabs/apache to < 12 until our modules support it (Evgeni Golov)
- Build packit on rhel-8 (Ewoud Kohl van Wijngaarden)
- Refs #36843: Pass array to capture2e as arguments (Eric D. Helms)
- fix packit to use prod nightly (Evgeni Golov)
- Bump develop to 3.10.0-develop (Griffin Sullivan)
- Add hammer foreman_rh_cloud package (Shimon Shtein)
- Ensure Puppet 8 support (Ewoud Kohl van Wijngaarden)
- Allow puppetlabs/postgresql 10.x (Ewoud Kohl van Wijngaarden)
- Fail early if cert files don't exist (Ewoud Kohl van Wijngaarden)
- Redirect errors from tput to /dev/null (Ewoud Kohl van Wijngaarden)
- Fixes #36843 - run katello-certs-check in fp-certs-generate (Ewoud Kohl van Wijngaarden)
- Update to stdlib 9.x (Ewoud Kohl van Wijngaarden)
- Refs #36801: Set Redis as the default cache on upgrade (Eric D. Helms)
- Raise minimum Puppet version to 7.9.0 (Ewoud Kohl van Wijngaarden)
- Pin puppetlabs/postgresql to < 10 (Ewoud Kohl van Wijngaarden)
- Update manpage to reflect --reset-data option (Evgeni Golov)
- Refs #36760 - Reset candlepin key- and truststore (Ewoud Kohl van Wijngaarden)
- Fixes #36784 - Drop MaxRequestsPerChild tuning (Ewoud Kohl van Wijngaarden)
- Fixes #36694 - Show failed resources on installation (Ewoud Kohl van Wijngaarden)
- Remove qpid tunings from tuning profiles (William Bradford Clark)
- Remove unused key enable_katello_agent from foreman.hiera/common.yaml (William Bradford Clark)
- Make specs RuboCop clean (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.9.0-develop (Griffin Sullivan)
- Fix apache::trace_enable example (Ewoud Kohl van Wijngaarden)
- Fixes #36311 - expose apache::mod::status in the installer (Evgeni Golov)
- Refs #35943 - Switch to puppetlabs/vcsrepo (Ewoud Kohl van Wijngaarden)
- Fixes #36620 - Puppet module replace whitelist with allowlist (Trey Dockendorf)
- Refs #36573 - Drop puppet::server_foreman_url value if redundant (Ewoud Kohl van Wijngaarden)
- Add a rake modules task (Ewoud Kohl van Wijngaarden)
- Use a shared context to do migration testing (Ewoud Kohl van Wijngaarden)
- Fixes #36567 - Make katello-certs-check failures fatal (Ewoud Kohl van Wijngaarden)
- Fixes #36319 - Add Promxox support (Maximilian Kolb)
- also pin puppetlabs/apt, 9.1.0 wants stdlib 9 (Evgeni Golov)
- Pin puppetlabs/stdlib to version < 9 (Ewoud Kohl van Wijngaarden)
- Allow puppetlabs-apache 9.x (Ewoud Kohl van Wijngaarden)
- Pin Puppet module versions to ~> x.y.z (Ewoud Kohl van Wijngaarden)
- Visually align module versions in Puppetfile (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.8.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #36377 - Sunsetting foreman_column_view because functionality being integrated in Foreman itself (Dirk Goetz)
- allow kafo 7.x (Evgeni Golov)
- correct upstream tag template in packit config (Evgeni Golov)
- add packit config (Evgeni Golov)
- Fixes #36345 - Drop Puppet 6 support (Ewoud Kohl van Wijngaarden)
- Fixes #36238 - drop all data owned by the DB user, not only tables (Evgeni Golov)
- Ensure Ansible callback from the Ansible collection is used (Ewoud Kohl van Wijngaarden)
- Fixes #36211 - Add PowerDNS and Route53 plugins to scenarios (Ewoud Kohl van Wijngaarden)
- Correct the minimum Puppet version bound (Ewoud Kohl van Wijngaarden)
- Fixes #36170 - drop memcache plugin support (Evgeni Golov)
- Bump develop to 3.7.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #35985 - Use Katello integration in theforeman/puppet (Ewoud Kohl van Wijngaarden)
- Refs #35925: Add SSH keepalive for Ansible (Eric D. Helms)
- Pin puppetlabs/apache to ~> 8.3 (Ewoud Kohl van Wijngaarden)
- Fixes #35800 - Add foreman_kernel_care plugin support (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.5.0-develop (Ewoud Kohl van Wijngaarden)
- Update 20220406141823_foreman_google.rb (Leos Stejskal)
- Update katello-answers-before.yaml (Leos Stejskal)
- Update katello-answers-before.yaml (Leos Stejskal)
- Update config/foreman.migrations/20220406150414_foreman_google.rb (Leos Stejskal)
- Fixes #35677 - Add ForemanGoogle plugin (Leos Stejskal)
- drop chef plugin (Evgeni Golov)
- Fixes #35564 - Use Redis 6 on EL8 (Eric D. Helms)
- drop explicit dependency on mosquitto (Evgeni Golov)
- Refs #35629 - Switch back to puppetlabs/apache releases (Ewoud Kohl van Wijngaarden)
- Fixes #35631 - Enable HTTP/2 by default (Ewoud Kohl van Wijngaarden)
- Refs #35629 - Use built in Apache defaults on EL (Ewoud Kohl van Wijngaarden)
- Update puppetlabs/postgresql lower bound (Ewoud Kohl van Wijngaarden)
- Refs #35629 - Use the correct cipher profile (Ewoud Kohl van Wijngaarden)
- Fixes #35629 - Default Apache to PROFILE=system ciphers (Ewoud Kohl van Wijngaarden)
- Add Hammer SSH plugin (Dirk Goetz)
- Fixes #35453 - Remove trailing backslash from capsule-certs-generate command in katello-certs-check (Sayan Das)
- Refs #35353 - Drop xinetd support (Ewoud Kohl van Wijngaarden)
- Fixes #35440 - Drop host reports plugin (Ewoud Kohl van Wijngaarden)
- Update develop to 3.5.0-develop (Amit Upadhye)
- Raise minimum required Puppet version to 6.23.0 (Ewoud Kohl van Wijngaarden)
- Refs #35149 - Remove katello hook dirs (Ewoud Kohl van Wijngaarden)
- Fixes #35149: Drop --disable-system-checks installer option (Eric D. Helms)
- Fixes #35208: Move check on puppet certs to hooks/ for all scenarios (Eric D. Helms)
- Fixes #35134: Introduce development tuning profile, update default (Eric D. Helms)
- Fixes #31502 - Add salt-plugin to proxy-answers (Markus Bucher)
- Fixes #34906: Allow single quote in organization name (Eric D. Helms)
- Fixes #35133: Drop VM overcommit check (Eric D. Helms)
- Fixes #35157 - Enable Pulp's content caching on Katello (Ewoud Kohl van Wijngaarden)
- Move check for existence of certs tarball to hooks directory (Eric D. Helms)
- Drop validation hook that was for Pulp 2 nodes (Eric D. Helms)
- Remove mentions of Apache prefork settings (Ewoud Kohl van Wijngaarden)
- Fixes #35138: Remove umask hook (Eric D. Helms)
- Drop EL7 support (Eric D. Helms)
- Add Foreman DHCP browser plugin to Katello (Dirk Goetz)
- Add Foreman Netbox plugin (Dirk Goetz)
- Add Foreman SCC manager plugin (Dirk Goetz)
- Add Foreman Wreckingball plugin (Dirk Goetz)
- Add Foreman DLM plugin (Dirk Goetz)
- Add Foreman Rescue plugin (Dirk Goetz)
- Add Foreman Vault plugin (Dirk Goetz)
- Add Foreman Git templates plugin (Dirk Goetz)
- Deal with foreman::db_database becoming mandatory (Ewoud Kohl van Wijngaarden)
- Drop EL8 modularity workaround (Ewoud Kohl van Wijngaarden)
- Drop devlog check that was only valid for Pulp 2 (Eric D. Helms)
- Fixes #34875: Prevent certs regeneration on every installer run (Eric D. Helms)
- Bump develop to 3.4.0-develop (Amit Upadhye)
- Fixes #34888: Display katello-certs-check output only if error (Eric D. Helms)
- Fixes #34883: Show output of facter and hostname during check (Eric D. Helms)
- use forgeapi.puppet.com (Evgeni Golov)
- bump mosquitto dep to 1.1.0 (Evgeni Golov)
- Fixes #20889 - Use event mpm module with Apache (William Bradford Clark)
- Refs #34239: Require a stable mosquitto version (Evgeni Golov)
- Fixes #34590 - Enable only minimum apache modules (William Bradford Clark)
- Remove trailing slash from certs-generate output (Eric D. Helms)
- Refs #34239: Require voxpupuli/puppet-mosquitto (Eric D. Helms)
- Refs #34758: Match rename of remote_execution::ssh to remote_execution::script (Eric D. Helms)
- Fixes #32323 - Correct PostgreSQL service name on EL7 (Ewoud Kohl van Wijngaarden)
- Fixes #34686 - remove *all* puppet-candlepin flag files on reset (Evgeni Golov)
- Fixes #34505 - Add host_reports CLI plugin (Oleh Fedorenko)
- Fixes #34440 - skip upgrade:run by run_rake_upgrade=false (Evgeni Golov)
- Bump develop to 3.3.0-develop (Amit Upadhye)
- Change puppet::server_envs_dir to Array data type (Ewoud Kohl van Wijngaarden)
- Fixes #34325 - enable pulp content cache by default (Justin Sherrill)
- Pin rdoc to < 6.4 (Ewoud Kohl van Wijngaarden)
- Use forgeapi-cdn.puppet.com as forge (Ewoud Kohl van Wijngaarden)
- Refs #33830 - Drop content type params from Katello (Ewoud Kohl van Wijngaarden)
- Bump develop to 3.2.0-develop (Amit Upadhye)
- Refs #33864 - Disable registration on upgrades (Ewoud Kohl van Wijngaarden)
- Reflect the new minimum Puppet version 6.15.0 in tests (Ewoud Kohl van Wijngaarden)
- Fixes #33337 - Do not enable Puppet infrastructure by default for Katello scenario (Eric D. Helms)
- Fixes #33760 - Add host_reports plugins (Oleh Fedorenko)
- Fixes #33109 - Date used by katello-certs-check should be correctly formatted (Birkir Freyr)
- Rewrite migration spec (Ewoud Kohl van Wijngaarden)
- Fixes #33577 - Only enable Foreman Puppet plugin with Foreman (Ewoud Kohl van Wijngaarden)
- Require at least librarian-puppet 3.0 (Ewoud Kohl van Wijngaarden)
- Remove Apache as Puppet server environment owner (Ewoud Kohl van Wijngaarden)
- Remove defaults for parameters that have been removed (Ewoud Kohl van Wijngaarden)
- Refs #33277: Unset foreman_service_puma_workers and foreman_service_puma_threads_max if set to default value (Eric D. Helms)
- Refs #33214: Reset puma min threads to default from puppet module (Eric D. Helms)
- Bump version to 3.1.0-develop (Amit Upadhye)
- Drop cdn_ssl_version hook (Eric D. Helms)
- Add webhooks CLI plugin (Oleh Fedorenko)
- Add hammer-cli-foreman-puppet (Amir Fefer)
- Add a migration for foreman_proxy's httpboot (Ewoud Kohl van Wijngaarden)
- Refs #33191 - Use symbols for facts (Ewoud Kohl van Wijngaarden)
- Fixes #33191 - Debian puppet-agent-oauth reinstall support (Ewoud Kohl van Wijngaarden)
- Add ACD plugin (Bernhard Suttner)
- Use Puppet 7 by default (Ewoud Kohl van Wijngaarden)
- Fixes #32659 - Support Puppet 7 (Ewoud Kohl van Wijngaarden)
- Puppet 7 compatible version of puppetlabs/xinetd (Ewoud Kohl van Wijngaarden)
- Use a released version of puppetlabs/postgresql again (Ewoud Kohl van Wijngaarden)
- Reflect changes for Puppetserver 7 support (Ewoud Kohl van Wijngaarden)
- Do not pass --assumeyes to f-maintain packages is-locked (Ewoud Kohl van Wijngaarden)
- Bump version to 3.0-develop (Tomer Brisker)
- Replace all dash/underscores in create-migration (Ewoud Kohl van Wijngaarden)
- Refs #32914: Ensure foreman::puppet::plugin is enabled by default (Eric D. Helms)
- Fixes #32885: Remove puppet from foreman::user_groups if present (Eric D. Helms)
- Fixes #32916 - add scenario overrides (Ewoud Kohl van Wijngaarden)
- Fixes #32914 - Add puppet plugin to answer files (Ondřej Ezr)
- Drop max_keepalive_requests and websockets_ssl_* answers (Ewoud Kohl van Wijngaarden)
- Check that Puppet modules support 6.1.0 (Eric D. Helms)
- Fixes #32610: Drop testing for Puppet 5 compatability (Eric D. Helms)
- Fixes #32532: Ensure a valid tuning option is supplied (Eric D. Helms)
- bump version to 2.6-develop (Tomer Brisker)
- Fixes #32401: Fix drop of --foreman-proxy-content-parent-fqdn parameter (Eric D. Helms)
- Fixes #32274 - Update default Apache ciphers (Ewoud Kohl van Wijngaarden)
- Refs #32160 - alias param for ansible_collection support (Justin Sherrill)
- Fixes #32037 - Disable katello-agent on install, ensure enabled on upgrade (Eric D. Helms)
- Fixes #32369: Set katello content enable params based on puppet-foreman_proxy_content params (Eric D. Helms)
- Fixes #29781 - Drop passenger references from hiera configuration (Eric D. Helms)
- Fixes #32269 - Set ReservedCodeCache for Puppetserver (Ewoud Kohl van Wijngaarden)
- Fixes #32276: Add foreman::cli::katello to Katello scenario (Eric D. Helms)
- Add puppetserver_foreman module (Ewoud Kohl van Wijngaarden)
- Handle server_puppetserver_metrics nil migration (Ewoud Kohl van Wijngaarden)
- Add webhooks plugins (#659) (Adam Růžička)
- Raise the expected minimum Puppet version to 5.5.20 (Ewoud Kohl van Wijngaarden)
- Refs #32175: Set foreman-tasks backup to true on upgrades (Eric D. Helms)
- Fixes #32180: Unset system proxy and SSL environment variables for the duration of the install (Eric D. Helms)
- Don't use Facter 4.0.52 (Ewoud Kohl van Wijngaarden)
- Fixes #31834 - Use PostgreSQL 12 on EL8 (Ewoud Kohl van Wijngaarden)
- Fixes #32002: Use runuser for executing reset commands (Eric D. Helms)
- Fixes #32011 - Fix logger typo in reset data hook (William Bradford Clark)
- Remove MongoDB references (Ewoud Kohl van Wijngaarden)
- Fixes #31909 - Enable pki-core DNF module on EL8 (Ewoud Kohl van Wijngaarden)
- Bump minimum postgresql version to 6.10.1 (Eric D. Helms)
- Drop puppet-pulp from Puppetfile (Eric D. Helms)
- Bump version to 2.5.0-develop (Amit Upadhye)
- Add automation workflow tip to CONTRIBUTING.md (Christopher Brown)
- Fixes #31757 - Drop foreman proxy pulp plugin in foreman (Ewoud Kohl van Wijngaarden)
- Fixes #31614: Enable Pulp 3 by default on server and proxies (Eric D. Helms)
- Fixes #31671: Ensure postgresql-contrib and -docs are removed during upgrade (Eric D. Helms)
- Fixes #31548 - Use the correct pulpcore legacy dir (Ewoud Kohl van Wijngaarden)
- Fixes #31553 - migrate default for ssh_args (Ondřej Ezr)
- Fixes #31611: execute methods missing in certs-generate hooks (Eric D. Helms)
- Refs #31385 - Clear out nil qpid ciphers (Ewoud Kohl van Wijngaarden)
- Fixes #31387 - Drop TLS 1.0 and TLS 1.1 from Apache (Ewoud Kohl van Wijngaarden)
- Enable remote execution plugin since Katello requires it (Eric D. Helms)
- Refs #31346 - remove java version precheck (Jonathon Turel)
- Fixes #31490 - Remove digital ocean plugin (Christopher Brown)
- Fixes #31486: Remove postgresql-devel during postgresql upgrade (Eric D. Helms)
- Add check for local pulpcore database to hooks (Eric D. Helms)
- spelling fix (Christopher Brown)
- use pulp2 for deb content on katello upgrade (Justin Sherrill)
- Fixes #31326: Error in certs check if using only a shortname (Eric D. Helms)
- Add wildcard certificate test for katello-certs-check (Eric D. Helms)
- Refs #27462 - Add test case for invalid purpose sslserver (Eric D. Helms)
- Fixes #27462 - Capture the openssl error correctly (Hao Yu)
- Only regenerate certificate fixtures if they do not exist (Eric D. Helms)
- Fixes #31135: Introduce execute! and execute for fatal and non-fatal commands (Eric D. Helms)
- Fixes #31234: Create new certificate bundle everytime (Eric D. Helms)
- Bump version to 2.4-develop (Tomer Brisker)
- Drop Travis testing (Eric D. Helms)
- Refs #30569 - Add migration to change logging pattern (Dominik Matoulek)
- Refs #31051 - Remove Warning method from katello-certs-check (William Bradford Clark)
- Enable verbose output by default (Eric D. Helms)
- Fixes #31051 - Add verification to check if SAN entries match Subject CN on certificate (Joniel Pasqualetto)
- Add subj-alt-name to certificate fixtures (Eric D. Helms)
- Refs #30251 - load a branding file if it's present (Evgeni Golov)
- Mark some options from hooks as advanced (Eric D. Helms)
- Drop support for running an array of commands (Ewoud Kohl van Wijngaarden)
- Refs #29803: if katello-certs-check fails the installer should exit (Eric D. Helms)
- Fixes #31119 - run katello-certs-check when installing with custom certs (William Bradford Clark)
- Fix expired certificate fixture (Eric D. Helms)
- Drop rackspace compute resource (Eric D. Helms)
- Change failure message to give a more actionable output (Eric D. Helms)
- Refs #30423 - Migrate Pulp media directory (Ewoud Kohl van Wijngaarden)
- Refs #29799 - Define clear mongo methods in module (Ewoud Kohl van Wijngaarden)
- move migrate_cdn_setting to hooks/ (William Bradford Clark)
- Refs #30489 - enable dhcp acls by default (Ondřej Ezr)
- Fixes #29803 - Move --certs* to hooks/ (William Bradford Clark)
- Fix pulpcore assets directory permissions (Ewoud Kohl van Wijngaarden)
- Fix Rubocop unconfigured warnings (Ewoud Kohl van Wijngaarden)
- Fixes #30802: Set proxy timeout to 15 minutes (Eric D. Helms)
- Use proper quotes and escaping in data reset (William Bradford Clark)
- Move shared helpers to hook context extension (William Bradford Clark)
- Fixes #29799 - Move --clear-pulp-content to hooks/ (William Bradford Clark)
- Empty local or remote MongoDB using single method (William Bradford Clark)
- Fixes #29798 - Move --lock-package-versions to hooks/ (Ewoud Kohl van Wijngaarden)
- Fixes #30776 - --reset-data should clear /var/lib/pulp/content/* (William Bradford Clark)
- Clear Pulpcore content from disk with --reset-data (William Bradford Clark)
- Fixes a bug in reset_candlepin introduced in 7ca7d88d (William Bradford Clark)
- Refactor hooks/pre/10-reset_data.rb for improved readability (William Bradford Clark)
- Refs #29797 - Move interactive part to pre_validations (Ewoud Kohl van Wijngaarden)
- Refs #30523: Let puppet-candlepin handle DB migration workflow (Eric D. Helms)
- Refs #29801: Fix broken mongo cache size setting (Eric D. Helms)
- Refs #29801 - Handle mongodb cache size separate from tuning (Eric D. Helms)
- Fixes #30721: Disable MongoDB diagnostic data collection (Eric D. Helms)
- Fixes #30507: Use enabled hook helpers for Katello and Foreman (Eric D. Helms)
- Remove tuning fact from foreman-proxy-content scenario (William Bradford Clark)
- Fixes #29801 - move --tuning to hooks/ (William Bradford Clark)
- Fixes #28928: Error if checkpoint_segments detected (Eric D. Helms)
- Update rubocop version and targer Ruby version (Eric D. Helms)
- Fixes #30402: Set :warn to yellow (Eric D. Helms)
- Bump version to 2.3-develop (Tomer Brisker)
- Bump kafo requires to 5.0 (Eric D. Helms)
- Add column_view plugin (Tomer Brisker)
- Fixes #30553 - Add foreman_statistics plugin (Ewoud Kohl van Wijngaarden)
- Refs #30506: Install crane-selinux if pulp enabled (Eric D. Helms)
- Refs #30506: Check modern selinux enabled fact (Eric D. Helms)
- Fixes #30506: Ensure selinux packages are installed before puppet run (Eric D. Helms)
- Fixes #29296 - remove --upgrade (William Bradford Clark)
- Fixes #29797 - Merge --reset-foreman-db and --reset into --reset-data (William Bradford Clark)
- Fixes #29963 - Manage services without foreman-maintain (Ewoud Kohl van Wijngaarden)
- Fixes #30245 - Disable Pulp 2 on EL8 (Eric D. Helms)
- Fixes #30251 - make it easier to brand katello-certs-check (Evgeni Golov)
- Refs #29097 - Handle command not found (Ewoud Kohl van Wijngaarden)
- Refs #30193 - Correct version locking (Ewoud Kohl van Wijngaarden)
- Refs #30193 - always execute commands outside the SCL context (Evgeni Golov)
- Refs #29602 - Remove dropped repository parameters (Ewoud Kohl van Wijngaarden)
- Fixes #30193 - status is now a boolean (Evgeni Golov)
- Fixes #30193 - execute rpm commands outside the SCL (Evgeni Golov)
- Fixes #30193 - move version unlock to main pre_validations hooks (Evgeni Golov)
- Refs #30136 - Ensure on FPC proxy to pulpcore is false for iso and yum (Eric D. Helms)
- Fixes #30136: Do not proxy isos or yum on foreman proxy content (Eric D. Helms)
- Refs #30023 - don't proxy pulp yum to pulpcore on upgrades (William Bradford Clark)
- Refs #30023 - don't use pulp3 for rpm content on upgrades (#516) (William Bradford Clark)
- Fixes #30006 - Remove MongoDB Storage Engine Migration Hook (William Bradford Clark)
- Fixes #29800 - Remove --clear-puppet-environments (William Bradford Clark)
- Fixes #29941 - Check modules are enabled (Ewoud Kohl van Wijngaarden)
- Refs #29512 - Add a default to stop_services (Ewoud Kohl van Wijngaarden)
- Fixes #29894 - Only write the success file on success (Ewoud Kohl van Wijngaarden)
- Bump version to 2.2-develop (Tomer Brisker)
- Fixes #29437 - Drop PuppetDB module (Ewoud Kohl van Wijngaarden)
- Add ForemanLeapp plugin (Leos Stejskal)
- Revert "Fixes #28352: Enable tuning config for foreman scenario" (Eric D. Helms)
- Fixes #28352: Enable tuning config for foreman scenario (Eric D. Helms)
- Fixes #29512: Call foreman-maintain without SCL context (Eric D. Helms)
- Fixes #29541: Use Facter 4 in testing (Eric D. Helms)
- Fixes #29455: Allow calling puppet from inside SCL context (Eric D. Helms)
- Fixes #29282 - Enable Puma migration on compatible upgrades (sthirugn)
- Rename inventory_upload to rh_cloud (Shimon Shtein)
- Refs #29184: Check that cdn-ssl answer exists (Eric D. Helms)
- Fixes #29426 - Configure default mongo cache size (sthirugn)
- Fixes #29184 - Add cdn-ssl param migration hook (Chris Roberts)
- Refs #29339 - Reset tuning for foreman-proxy-content scenario (sthirugn)
- Fixes #29339 - Show tuning option only for katello (sthirugn)
- Revert "Fixes #29282: Add migration to enable Puma" (Ewoud Kohl van Wijngaarden)
- Refs #29052: warning is actually warn in logger (Eric D. Helms)
- Refs #29052: Allow --upgrade to pass through (Eric D. Helms)
- Fixes #29282: Add migration to enable Puma (sthirugn)
- Refs #29069 - Install pulpcore-selinux if needed (Ewoud Kohl van Wijngaarden)
- Fixes #29243: Create new install file (Eric D. Helms)
- Refs #28903 - Swap the postgresql{,-server} removal (Ewoud Kohl van Wijngaarden)
- Fixes #29052: Drop upgrade flag and treat all installer runs the same (Eric D. Helms)
- Fixes #29208 - Use fail_and_exit where possible (Ewoud Kohl van Wijngaarden)
- Fixes #28903 - Stop installer when package install fails (Ewoud Kohl van Wijngaarden)
- Fixes #29097: Move puppet-agent-oauth reinstall to Foreman hooks (Eric D. Helms)
- Fixes #28839 - Reset pulpcore db with reset (Samir Jha)
- Sort answer files and add headers (Ewoud Kohl van Wijngaarden)
- Sort Rubocop rules (Michael Moll)
- Refs #28915 - Only run upgrade if the installer ran (Ewoud Kohl van Wijngaarden)
- Fixes #27848 - Disable HTTP by default on Katello's proxy (Ewoud Kohl van Wijngaarden)
- Fixes #28915: Always run foreman upgrade rake tasks in post hooks (Eric D. Helms)
- Update pulpcore to theforeman org (Ewoud Kohl van Wijngaarden)
- Use a more expressive rspec test syntax (Ewoud Kohl van Wijngaarden)
- bump version to 2.1-develop (Tomer Brisker)
- Fixes #28930: Install SCL postgresql-contrib if postgresql-contrib present (Eric D. Helms)
- Fixes #28934: Install rh-postgresql12 in devel scenario (Eric D. Helms)
- Refs #28928 - Remove checkpoint_segments from tuning (Ewoud Kohl van Wijngaarden)
- Fixes #28828 - Enable pulpcore (William Bradford Clark)
- Fixes #28697: Add Postgres upgrade to Foreman scenario (Eric D. Helms)
- Fixes #28785: Only display Success! once (Eric D. Helms)
- Refs #28549: move read_cache_data to a hook extension (Evgeni Golov)
- Refs #28549: call execute, not Kafo::Helpers.execute (Evgeni Golov)
- Refs #28549: Turn certs message helpers into hook extensions (Evgeni Golov)
- Refs #28549: Turn message helpers into hook extensions (Eric Helms)
- Fixes #28779: Require English when using CHILD_STATUS (Eric D. Helms)
- Fixes #28525: Install redis from SCL to prevent selinux issue (Eric D. Helms)
- Fixes #28549: Fix all rubocop issues (Eric D. Helms)
- Refs #28549: Add rubocop setup (Eric D. Helms)
- Refs #28738 - Correctly delete the answer bind_host (Ewoud Kohl van Wijngaarden)
- Fixes #28738: Reset bind host if :: is present (Eric D. Helms)
- Fixes #28712 - Verify MongoDB is on before upgrade (Chris Roberts)
- Rely on puppet-candlepin for cpdb execution (Ewoud Kohl van Wijngaarden)
- Refs #28653: Remove postgresql-server before postgresql (Eric D. Helms)
- Refs #28530: Ensure hook dir is set using proper installer dir (Eric D. Helms)
- Fixes #28717: Don't repeat success or show success when failed (Eric D. Helms)
- Refs #28530 - Correctly set the hook_dirs (Ewoud Kohl van Wijngaarden)
- Drop Foreman migrate from Katello upgrade (Eric D. Helms)
- Fixes #28653: Introduce install_package command (Eric D. Helms)
- Fixes #28687: Drop setting installer dir for Katello on build (Eric D. Helms)
- Fixes #28688: Combine hook extensions into a single file (Eric D. Helms)
- Fixes #28530: Combine post install hooks into a single one (Eric D. Helms)
- bump version to 2.0-develop (Tomer Brisker)
- Fixes #28558 - remove puppetlabs-mysql from Puppetfile (Michael Moll)
- Refs #28496: Drop upgrade step check on status (Eric D. Helms)
- Fixes #28407 - Use rh-redis5 on EL7 (Ewoud Kohl van Wijngaarden)
- Fixes #28496: exit 1 on execute command (Eric D. Helms)
- Refs #28353: Drop Kafo::Helpers and move to extensions (Eric D. Helms)
- Fixes #28497: Add default log_rotation_size configuration for Postgres (sthirugn)
- add pulpcore git repo to puppetfile (William Clark)
- Always set locale when upgrading postgres (Eric D. Helms)
- Drop repository parameters from Katello (Ewoud Kohl van Wijngaarden)
- Remove unused variables (Ewoud Kohl van Wijngaarden)
- Refs #28353 - Move fail_and_exit to HookContextExtension (Ewoud Kohl van Wijngaarden)
- Install Postgresql server RPMs to prevent selinux issue (Eric D. Helms)
- Fixes #23727 - Rely on puppet-pulp to migrate the database (Ewoud Kohl van Wijngaarden)
- Expose foreman::plugin::azure in Katello scenario (Evgeni Golov)
- Remove unused variable (Ewoud Kohl van Wijngaarden)
- Use a denser multiple hiera syntax (Ewoud Kohl van Wijngaarden)
- Correct name of common.yaml (Ewoud Kohl van Wijngaarden)
- Fixes #28367 - Add a max issuers check (Ewoud Kohl van Wijngaarden)
- Fix config file locations for PostgreSQL 10 upgrade (Ewoud Kohl van Wijngaarden)
- Fixes #28366 - Drop default Apache vhost (Ewoud Kohl van Wijngaarden)
- Upgrade Postgres to 10 on Red Hat systems (Eric D. Helms)
- Fixes #28331 - Base memory checks on tuning profile (Ewoud Kohl van Wijngaarden)
- Refs #27775 - avoid built in keyword new (Ewoud Kohl van Wijngaarden)
- Drop foreman_proxy_content::pulp_master parameter (Ewoud Kohl van Wijngaarden)
- Fixes #28335 - Add CLI option for Foreman AzureRM (Aditi Puntambekar)
- Drop Katello upgrade steps for Mongo and Qpid certs (Eric D. Helms)
- Fixes #27775 - Introduce tuning for installation size (Ewoud Kohl van Wijngaarden)
- Expand the create-migration script (Ewoud Kohl van Wijngaarden)
- Refs #27932 - Expose foreman::plugin::remote_execution::cockpit (Ewoud Kohl van Wijngaarden)
- Fixes #27876 - Add check for passphrase on key (Chris Roberts)
- bump version to 1.25-develop (Tomer Brisker)
- Sunsetting foreman_cockpit because functionality being integrated in remote execution (Dirk Goetz)
- Refs #27775 - Update to Kafo 4 (Ewoud Kohl van Wijngaarden)
- Refs #27847 - Set parameter mapping (Ewoud Kohl van Wijngaarden)
- Fixes #27884 - No hooks after packages are locked (Martin Bačovský)
- Add a script to show module versions (Ewoud Kohl van Wijngaarden)
- Refs #27846 - Correct log_min_duration_statement (Ewoud Kohl van Wijngaarden)
- Fixes #27866 - properly replace *ALL* comments after the upgrade (Evgeni Golov)
- Fixes #27846 - Add Postgresql log_min_duration (Ewoud Kohl van Wijngaarden)
- Fixes #27826 - Update Mongo upgrade recovery logic (Chris Roberts)
- Fixes #27785 - Remove redundant defaults from Katello (Ewoud Kohl van Wijngaarden)
- Refs #27785 - Handle katello not being a hash in migrations (Ewoud Kohl van Wijngaarden)
- Fixes #27784 - Drop all katello migrations prior to 3.6.0 (Ewoud Kohl van Wijngaarden)
- Fixes #27781 - Drop pre-scenario migrations (Ewoud Kohl van Wijngaarden)
- Add inventory_upload plugin (Shimon Shtein)
- Remove outdated comment (Ewoud Kohl van Wijngaarden)
- Update the pinning script (Ewoud Kohl van Wijngaarden)
- Fixes #27540 - handle remote postgresql in upgrades (Amit Upadhye)
- bump version to 1.24-develop (Tomer Brisker)
- Fixes #27424 - Ensure DB is seeded (Jonathon Turel)
- Fixes #27357 - properly check for katello scenario (Evgeni Golov)
- Fixes #27314 - Correct space check during mongoDB engine upgrade (vgunasek)
- Fixes #25564 - add target option (Suraj Patil)
- Fixes #27269 - force no_prefix to the default for f-proxy-content (Evgeni Golov)
- Fixes #27262 - Add virt_who plugins to katello (Ewoud Kohl van Wijngaarden)
- Sort katello answers file (Ewoud Kohl van Wijngaarden)
- Fixes #27197 - check uppercase env vars (ianballou)
- Fixes #27191 - Allow easy branding of certs-gen (Adam Ruzicka)
- Fixes #27113 - move syspath to correct order and supress output of yum (Chris Roberts)
- Fixes #27168 - Add remote_isc dhcp plugin (Ewoud Kohl van Wijngaarden)
- Fixes #26588 - Remove apache user from foreman group pre-install (Tomer Brisker)
- Lock puppet-strings to less than 2.0 if on Ruby 2.0 (Eric D. Helms)
- Update mongodb client package name parameter (Eric D. Helms)
- Only perform mongodb-syspaths install on EL7 (Eric D. Helms)
- Fixes #26845 - Run checks in katello scenario (Ewoud Kohl van Wijngaarden)
- Add kubevirt (foreman and cli) to katello (Shira Maximov)
- Fixes #26623 - copy update certs hooks to katello-certs (Evgeni Golov)
- Add kubevirt hammer plugin (Shira Maximov)
- Fixes #26844 - Require at least Puppet 5.5.10 (Ewoud Kohl van Wijngaarden)
- Fixes #26747 - Add foreman-cli-plugin-ansible to katello (#353) (Ewoud Kohl van Wijngaarden)
- Fixes #26746 - Show progress during Mongo restore (#352) (Chris Roberts)
- Add kubevirt to config (#334) (Moti Asayag)
- Fixes #26737 - Update remove to include export_dir (Chris Roberts)
- Fixes #26745 - always print the credentials after install (Evgeni Golov)
- Fixes #26702 - use ----upgrade-mongo-storage-engine everywhere (Evgeni Golov)
- Fixes #26665 - Remove Docker and ABRT plugins (Ewoud Kohl van Wijngaarden)
- Bump version to 1.23-develop (Tomer Brisker)
- Refs #26409 - Suppress error out on lock test (Martin Bačovský)
- Refs #26409 - Readability improvements (Martin Bačovský)
- Refs #26409 - fixed f-m command detection errors (Martin Bačovský)
- Refs #26409 - error catching, output tuning (Martin Bačovský)
- Refs #26409 - installation renamed to packages (Martin Bačovský)
- Refs #26409 - fixed typo and changed exitstatus (Martin Bačovský)
- Fixes #26409 - Locking packages after installation (Martin Bačovský)
- Fixes #26650 - Add snapshot-management to scenario katello (Matthias Dellweg)
- Fixes #26649 - Add salt options to katello scenario (Matthias Dellweg)
- Fixes #26550 - Add the expire hosts plugin to katello (Ewoud Kohl van Wijngaarden)
- Fixes #26625 - replace spaces with underscores in the org name (Evgeni Golov)
- Use UTC timestamp in migration name (Matthias Dellweg)
- Fixes #25059 - Remove local module_enabled? method (Ewoud Kohl van Wijngaarden)
- Fixes #26538 - return true if the user is not member of the group (Evgeni Golov)
- Refs #26282 - Add config migrations (Ewoud Kohl van Wijngaarden)
- Refs #26282 - Correct hiera config file location (Ewoud Kohl van Wijngaarden)
- Refs #26330 - Fix syntax on user group migration (Ewoud Kohl van Wijngaarden)
- Improve source file generation (Ewoud Kohl van Wijngaarden)
- Refs #26330 - Do not add Foreman to Puppet in Katello (Ewoud Kohl van Wijngaarden)
- Refs #26282 - Correct hiera fact usage (Ewoud Kohl van Wijngaarden)
- Fixes #26282 - Update to Kafo 3 (Ewoud Kohl van Wijngaarden)
- Fixes #26323 - Remove max_tasks_per_child setting (Chris Roberts)
- Fixes #25842 - Correct DNS comparisons (Ewoud Kohl van Wijngaarden)
- Add a DHCP warning (Ewoud Kohl van Wijngaarden)
- Fixes #26256 - Fix proxy cert generation hooks (Ewoud Kohl van Wijngaarden)
- Remove the useless copying of katello hooks (Ewoud Kohl van Wijngaarden)
- Add a puppet version check (Ewoud Kohl van Wijngaarden)
- Fixes #26111 - Remove usage of katello-service (Ewoud Kohl van Wijngaarden)
- add documentation from katello-installer (Evgeni Golov)
- Fixes #22746 - Complete the switch to voxpupuli-squid (Ewoud Kohl van Wijngaarden)
- Expose more plugins in the Katello scenario (Ewoud Kohl van Wijngaarden)
- Fixes #25951 - always print the credentials after install (Evgeni Golov)
- Refs #25839 - Use the correct variable (Ewoud Kohl van Wijngaarden)
- Rename katello-certs directory (Ewoud Kohl van Wijngaarden)
- Bump to 1.22.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #25844 - Remove deleted parameters (Ewoud Kohl van Wijngaarden)
- Correct migration filename (Ewoud Kohl van Wijngaarden)
- Refs #25839 - Use the correct variable (Ewoud Kohl van Wijngaarden)
- Refs #25839 - Avoid storing puppetserver related versions (Ewoud Kohl van Wijngaarden)
- Refs #25170 - Use new parameter names in post install (Ewoud Kohl van Wijngaarden)
- Refs #25170 - Add migration for new seed param naming. (Chris Roberts)
- Fixes #25740 - Use strings for user and group (Ewoud Kohl van Wijngaarden)
- Fixes #25740 - Ensure a user is a member when removing (Ewoud Kohl van Wijngaarden)
- Add a minimal test to katello-certs-check (Ewoud Kohl van Wijngaarden)
- Fixes #25697 - Add katello and foreman-proxy-content scenarios (Ewoud Kohl van Wijngaarden)
- Add katello-certs-check (Ewoud Kohl van Wijngaarden)
- Add foreman-proxy-certs-generate (Ewoud Kohl van Wijngaarden)
- Add checks from katello-installer (Ewoud Kohl van Wijngaarden)
- Add Katello modules (Ewoud Kohl van Wijngaarden)
- Prefer using Puppet 5 (Ewoud Kohl van Wijngaarden)
- Refactor test code (Ewoud Kohl van Wijngaarden)
- Split up the _builddir/config definition (Ewoud Kohl van Wijngaarden)
- Ensure builddir exists before building the scenario (Ewoud Kohl van Wijngaarden)
- Add a script to create migrations (Ewoud Kohl van Wijngaarden)
- Fixes #25453 - Add hammer plugin for foreman_ansible (Ondrej Prazak)
- Fixes #25445 - Add CLI plugins migration (Ewoud Kohl van Wijngaarden)
- Fixes #25304 - Correct handle kafo_modules_dir (Ewoud Kohl van Wijngaarden)
- Fix rake build within RPM build (Eric D. Helms)
- Bump version to 1.21-develop (Tomer Brisker)
- Fixes #25055 - Remove mappings (Ewoud Kohl van Wijngaarden)
- Refactor Rakefile to easily handle multiple scenarios (Ewoud Kohl van Wijngaarden)
- Fixes #24998 - Add timestamps back to postgresql (Chris Roberts)
- Unify all migration filenames (Ewoud Kohl van Wijngaarden)
- Fixes #24628 - Change REX SSH dir to /var/lib/foreman-proxy (Ewoud Kohl van Wijngaarden)
- Handle foreman_jobs_service being a required parameter (Ewoud Kohl van Wijngaarden)
- Add foreman_snapshot_management plugin (Matthias Dellweg)
- Generate source with the actual version specified in VERSION (#286) (Eric Helms)
- Revert "Pin puppetdb for Puppet 5 compatibility (#284)" (#285) (Ewoud Kohl van Wijngaarden)
- Pin puppetdb for Puppet 5 compatibility (#284) (Ewoud Kohl van Wijngaarden)
- Bump version to 1.20-develop (Ewoud Kohl van Wijngaarden)
- Use a helper class for Puppetfile parsing (Ewoud Kohl van Wijngaarden)
- Refs #22513 - use appropriate puppetlabs/postgresql release (Michael Moll)
- Fixes #23844 - Disable DES ciphers by default (Tomer Brisker)
- Bump version to 1.19.0-develop (Ondrej Prazak)
- Fixes #16932 - Provide default postgresql tuning (Ewoud Kohl van Wijngaarden)
- Refs #22513 - Allow overriding postgresql server settings via hiera (Chris Roberts)
- Fixes #23242 - Add cli plugins to answer file (Chris Roberts)
- Fixes #23030 - Add SCL Mongo Hiera (#267) (Chris Roberts)
- Add a rake task to pin modules to released versions (Ewoud Kohl van Wijngaarden)
- Fixes #22513 - add exposed params to hiera (Chris Roberts)
- Renamed function to make rubocop happy (Martin Bačovský)
- Fixed typos (Martin Bačovský)
- Fixed wrong bracket placement (Martin Bačovský)
- Fixes #22250 - prevent migration of custom hammer credentials (Martin Bačovský)
- Refs #20893 - bump required kafo version (Michael Moll)
- Refs #20893 - Revert pin puppetlabs-stdlib (Michael Moll)
- Fixes #22291 - update DNS check for broken Rubies (Stephen Benjamin)
- Bump version to 1.18.0-develop (Ewoud Kohl van Wijngaarden)
- Fixes #22169 - Don't enable foreman_setup by default (#258) (Eric D Helms)
- pin rdoc gem for Ruby <2.2 (Michael Moll)
- Fixes #8301 - Add forward/reverse dns check (Chris Roberts)
- Do proper deep copies when testing config/migrations (Ewoud Kohl van Wijngaarden)
- Fixes #21225 - Set passenger_min_instances globally to 1 (Eric D Helms)
- Revert "Fixes #20889 - Use the Apache MPM event worker" (Ewoud Kohl van Wijngaarden)
- Generate additional ignored directories (Ewoud Kohl van Wijngaarden)
- Refs #20893 - pin puppetlabs-stdlib (#243) (Michael Moll)
- Fixes #20889 - Use the Apache MPM event worker (Ewoud Kohl van Wijngaarden)
- switch back to puppetlabs-mysql release (Michael Moll)
- Bump version to 1.17-develop (Michael Moll)
- unpin puppetlabs/concat again (Michael Moll)
- Refs #20282 - add more ciphers (#237) (Michael Moll)
- Fixes #20282, #14667 - Provide more secure defaults for apache (#236) (Tomer Brisker)
- Refs #20194 - add migration for JRuby profiler (#235) (Michael Moll)
- remove pinning of puppetlabs/postgresql to <5 (#233) (Michael Moll)
- use pl-mysql 3.11.x with a fix for Debian/stretch (#234) (Michael Moll)
- Pin postgres and concat (Eric D Helms)
- Refs #6945 - use autosign path for puppetca (Michael Moll)
- Add logic to check executable of facter command (Xingchao Yu)
- Test foreman-installer under Puppet 4 (Dominic Cleal)
- Change existing foreman_proxy::bind_host values to array (Dominic Cleal)
- Remove unused release_module script, use puppet-blacksmith (Dominic Cleal)
- Add foreman_proxy::plugin::dhcp::remote_isc plugin (Dominic Cleal)
- Bump version to 1.16-develop (Michael Moll)
- Fixes #18821 - set PassengerMaxRequests to keep processes healthy (Lukas Zapletal)
- Enable foreman_proxy::realm_split_config_files for 1.15 (Dominic Cleal)
- fixes #18113 - change dhcp_range from false to undef (Dominic Cleal)
- Add foreman/foreman_proxy monitoring, omaha plugins (Dominic Cleal)
- Replace git version of puppetlabs-apache with 1.11.0 (Dominic Cleal)
- Remove pinning of extlib, 1.x is allowed (Dominic Cleal)
- Bump version to 1.15-develop (Dominic Cleal)
- Set foreman::email_config_method to database for 1.14+ (Dominic Cleal)
- Remove class mappings, now correct by default (Dominic Cleal)
- fixes #14023 - set passenger tuning options (#209) (Stephen Benjamin)
- Refs #16802 - openscap hammer plugin (Marek Hulán)
- Add spec to compare answers/config to migrations (Stephen Benjamin)
- Test for installation directory references in configs/symlinks (Dominic Cleal)
- refs #16207 - move foreman-hiera.conf out of _build/config (Dominic Cleal)
- refs #16207 - generate custom.yaml symlink during build phase (Dominic Cleal)
- fixes #16207 - allow users to provide custom hiera configuration (Stephen Benjamin)
- Add migration for smart_proxy_ansible plugin (Ivan Necas)
- Add migration for infoblox plugins (Ivan Necas)
- Refs #12635 - added migration for new grub tftp dirs (#197) (Lukáš Zapletal)
- Bump version to 1.14-develop (Dominic Cleal)
- handle API whitelist changes in puppet-puppet (Michael Moll)
- unpin puppetlabs/puppetdb (Michael Moll)
- fixes #16240 - use module_enabled? in hook for correct status (Dominic Cleal)
- add plugin foreman_host_extra_validator (Timo Goebel)
- Remove custom postgresql branch, 4.8.0 released (Dominic Cleal)
- fixes #15792 - add migration for remote execution plugins (Dominic Cleal)
- rename foreman environment parameter to rails_env (Igor Galić)
- Revert "Remove unmaintained ovirt_provision plugin" (Michael Moll)
- Add foreman_azure to config (Daniel Lobato)
- Pin extlib for Ruby 1.8 compatibility (Dominic Cleal)
- add foreman plugin foreman_expire_hosts (Timo Goebel)
- fixes #15399 - check module is enabled in answers before migrating values (Dominic Cleal)
- fixes #14789 - disable apache::mod::passenger::manage_repo (#185) (Dominic Cleal)
- Change foreman_proxy 'puppetssh' provider value to 'ssh' (#183) (Dominic Cleal)
- Fix foreman_proxy answers migration when module's disabled (Dominic Cleal)
- Change puppetlabs/mysql to 3.8.0 with Ubuntu 16.04 support (#181) (Dominic Cleal)
- Bump version to 1.13-develop (Dominic Cleal)
- Slight refactoring of hostname check (Peter Souter)
- Rename foreman_proxy::puppetrun* to puppet (Dominic Cleal)
- Remove unmaintained ovirt_provision plugin (Dominic Cleal)
- fixes #14453 - build and install Kafo parser cache (#172) (Dominic Cleal)
- refs #14788 - pull in Ubuntu/xenial cherry-picks in modules (Michael Moll)
- handle autosign change in puppet-puppet (Michael Moll)
- Add Travis CI test to build/install (Dominic Cleal)
- fixes #14449 - run facter command to check FQDN, support AIO path (Dominic Cleal)
- refs #14475 - change module mapping keys to symbols (Dominic Cleal)
- fixes #14475 - add and install config file migrations (Dominic Cleal)
- fixes #14042 - handle foreman_proxy::registered_proxy_url being unset (Dominic Cleal)
- Refs #13405: unpin puppetlabs/apache module again (Michael Moll)
- Bump version to 1.12-develop (Dominic Cleal)
- Fixes #10369 - added support for scenarios (Martin Bačovský)
- Fix missing depndency on BUILDDIR for modules subdir (Dominic Cleal)
- Add support for foreman_ansible (Daniel Lobato)
- Refs #13405: Pin puppetlabs/apache module to 1.8.x (Eric D. Helms)
- Add foreman::plugin::memcache to config (Chris Pisano)
- Add foreman::plugin::cockpit to config (Dominic Cleal)
- add support for smart_proxy_discovery (Brandon Weeks)
- Remove .git and spec directories from tarballs (Dominic Cleal)
- Support smart_proxy_dns_powerdns in the installer (Ewoud Kohl van Wijngaarden)
- Installer configuration for remote execution (Stephen Benjamin)
- Bump version to 1.11-develop (Dominic Cleal)
- Add dhcp_browser plugin to installer configs (Dominic Cleal)
- Add new foreman::plugin::*::params classes to kafo config (Dominic Cleal)
- Revert "Pin puppetlabs/postgresql to avoid MODULES-2185" (Dominic Cleal)
- puppetlabs-puppetdb 5.x is incompatible (Michael Moll)
- Pin puppetlabs/postgresql to avoid MODULES-2185 (Dominic Cleal)
- Bump version to 1.10-develop (Dominic Cleal)
- Update forge URL (Ewoud Kohl van Wijngaarden)
- Remove unused concat_native (Dominic Cleal)
- Refs #7529 - sets compute and plugins to low priority (Marek Hulan)
- include puppetlabs-puppetdb module (Michael Moll)
- fixes #8875 - installer support for salt (Stephen Benjamin)
- Bump version to 1.9-develop (Dominic Cleal)
- Chef smart proxy plugin support (Marek Hulan)
- Add support for openscap plugins (Marek Hulan)
- Update git URL for concat_native (Dominic Cleal)
- Revert "check for 127.0.1.1 in /etc/hosts" (Dominic Cleal)
- Add foreman_proxy::plugin::abrt class (Dominic Cleal)
- Revert "refs #7970 - include fixed alternatives module for Ubuntu 12.04" (Dominic Cleal)
- check for 127.0.1.1 in /etc/hosts (Michael Moll)
- Disable foreman_bootdisk by default (Dominic Cleal)
- Fixes #8558 - Support installation of foreman-digitalocean plugin (Daniel Lobato)
- Fixes #8501 - Support installation of foreman-docker plugin (Daniel Lobato)
- fixes #8008 - display foreman, foreman-proxy and puppet regradless to success or fail (Shlomi Zadok)
- Adding ovirt_provision plugin to installer options (Yaniv Bronhaim)
- Fix path to Modulefile (Dominic Cleal)
- release_module: support metadata.json (Dominic Cleal)
- Bump version to 1.8-develop (Dominic Cleal)
- refs #7970 - include fixed alternatives module for Ubuntu 12.04 (Dominic Cleal)
- Fixes #5488 - fixed hook deprecation warning (Martin Bačovský)
- Revert to released postgresql module for Fedora fix (Dominic Cleal)
- Bump version to 1.7-develop (Dominic Cleal)
- Switch back to official pl-apache release & pl-postgresql upstream git (Dominic Cleal)
- added support for foreman-proxy pulp plugin to installer config and answers (Dmitri Dolguikh)
- Use our postgresql fork with F19 fix (Dominic Cleal)
- fixes #4454 - switch PostgreSQL module to latest for EL7 support (Dominic Cleal)
- Add --detailed-exitcodes arg (Dominic Cleal)
- refs #3272 - print new user/password after installation (Dominic Cleal)
- Change xinetd to use Forge version 1.3.0 (Dominic Cleal)
- refs #5987 - remove unused packaging files (Dominic Cleal)
- refs #5793 - add pkg:generate_source rake task to create tar.bz2 (Dominic Cleal)
- Add foreman::cli class by default (Dominic Cleal)
- Changing foreman api installer dependency (Lukas Zapletal)
- Allow releasing from a x.y-stable branch (Dominic Cleal)
- Use commited apache fix instead of our fork (Greg Sutcliffe)
- Depend on latest kafo and curl (Marek Hulan)
- Add support for discovery params class (Marek Hulan)
- Fix missing comma (Greg Sutcliffe)
- Use forked pl-apache while waiting for merge (Greg Sutcliffe)
- Add support for foreman-tasks (Marek Hulan)
- Bump version to 1.6-develop (Dominic Cleal)
- Reuse color support from Kafo (Marek Hulan)
- Update README.md (Zordrak)
- fixes #4301 - specify minimum puppet version of 2.7 (Dominic Cleal)
- Remove pl-apache git reference, now 1.0.0 is out (Dominic Cleal)
- Refs #3308 - Auto-create mappings hash from detected plugin/compute classes (Greg Sutcliffe)
- fixes #4372 - compatibility with Facter 2 API (Dominic Cleal)
- rely on the basename of the script so others can override the location (Mike McCune)
- refs #4030 - use latest dependency modules from git, add mysql (Dominic Cleal)
- fixes #4030 - build via librarian-puppet (Dominic Cleal)
- Bump puppet module for 1.4.0 (Dominic Cleal)
- Bump puppet module for F19 fix (Dominic Cleal)
- Bump our modules for 1.4.0-RC2 (Dominic Cleal)
- Allow to skip man page generation (Lukas Zapletal)
- fixing man page generation on Debian (Lukas Zapletal)
- Fix release_module typos (Dominic Cleal)
- Add new script to tag and build modules consistently (Dominic Cleal)
- Fully drop 2.6 support (Ewoud Kohl van Wijngaarden)
- Bump version to 1.5-develop (Dominic Cleal)
- Bump foreman module to include symlink fix (Dominic Cleal)
- Fix modules_dir for rpmbuild (Dominic Cleal)
- Switch to puppetlabs-apache (Ewoud Kohl van Wijngaarden)
- Set modules_dir appropriately, don't use pwd (Dominic Cleal)
- Fixes #3977 - Don't re-open a Highline colourscheme (Greg Sutcliffe)
- Bump module versions to develop (Lukas Zapletal)
- Add --reset-foreman-db option to man page (Dominic Cleal)
- Bump foreman module for db:seed (Dominic Cleal)
- Bumping modules to fix proxy registration (Lukas Zapletal)
- Correcting typo in Rakefile for Debian systems (Lukas Zapletal)
- fixes #3640 - added foreman-installer man page (Lukas Zapletal)
- fixes #3712 - change develop versioning scheme to indicate next version (Dominic Cleal)
- Fixes #3610 - explains error detection problems (Marek Hulan)
- Fixes #3237 - add --reset-db-feature (Marek Hulan)
- Fix concurrent execution of the release script during Jenkins builds (Dominic Cleal)
- Fixes #3238 - respect --no-colors option (Marek Hulan)
- Kafo 0.3.0 comaptibility fix (Marek Hulan)
- Bump theforeman modules (Dominic Cleal)
- Modifying build modules (Lukas Zapletal)
- Bump modules for 1.3.0 (Lukas Zapletal)
- Bump modules for 1.3.0-RC4 (Lukas Zapletal)
- fixes 3209 - exit code only zero by default (Lukas Zapletal)
- Revert config file location, should be relative (Dominic Cleal)
- Improvement to bump module script (Lukas Zapletal)
- Bump modules for 1.3.0-RC3 (Lukas Zapletal)
- Fixes #3131 - Output information at the end of the foreman-installer execution (Greg Sutcliffe)
- bump internal modules for 1.3rc2 (Greg Sutcliffe)
- Disable repo management by default, rely on -release etc. (Dominic Cleal)
- Fixes #3069 - Config files packaging (Marek Hulan)
- Correcting changelog entry (Lukas Zapletal)
- Adding helper script to bump modules (Lukas Zapletal)
- Version bump for 1.3.0-rc1 (Lukas Zapletal)
- Bump version to 1.3-stable (Lukas Zapletal)
- Change the script name to foreman-installer (Marek Hulan)
- Add own hostname system checker (Marek Hulan)
- add commented info for debian usage (Greg Sutcliffe)
- Submodule bump for theforeman modules (Greg Sutcliffe)
- Kafoized version of foreman-installer (Marek Hulan)
- Update installer to use new form of including puppet::server (Greg Sutcliffe)
- Drop old debian readme, it's tested enough now (Greg Sutcliffe)
- Bump our submodules (Greg Sutcliffe)
- setting minimal version of foreman_api to 0.1.4 (Lukas Zapletal)
- Fail if the hosts fqdn is not set (Greg Sutcliffe)
- Detect non-zero puppet exit status in generate_answers (Greg Sutcliffe)
- adding foreman_api gem to be installed (Lukas Zapletal)
- change ruby(abi) to ruby(release) for F19+ (Dominic Cleal)
- Bump modules for 1.2.0 (Dominic Cleal)
- Bump modules for 1.2.0-rc3 (Dominic Cleal)
- Version bump (Dominic Cleal)
- Fix db_type section name (Dominic Cleal)
- Bump modules for 1.2.0-rc2 (Dominic Cleal)
- fixes #2535 - adding spec and temp release script (Lukas Zapletal)
- Version bump (Dominic Cleal)
- Add Modulefile and pre-reqs for Puppet Forge, add build script (Dominic Cleal)
- Use our fork of concat_native until PR 8 is merged (Greg Sutcliffe)
- Version bump in concat and foreman (Greg Sutcliffe)
- Add the puppetlabs-create_resources module (Ewoud Kohl van Wijngaarden)
- Update puppet submodule (Ewoud Kohl van Wijngaarden)
- Fixes #2442 - Write the answers file _before_ running puppet (Greg Sutcliffe)
- Add stable release info, remove old submodule URLs (Dominic Cleal)
- Add database options to generate_answers (Dominic Cleal)
- Version bump (Dominic Cleal)
- Add database management support (Dominic Cleal)
- Change xinetd submodule to puppetlabs-xinetd (Ashley Penney)
- Dhcp/dns/foreman/proxy/puppet: Bump to latest version (Greg Sutcliffe)
- Update gitmodules to point to OnyxPoint's concat module (Greg Sutcliffe)
- Updated modules for 1.1-1 release (Sam Kottler)
- Remove sudo requirement from generate_answers, only run Puppet if root (Dominic Cleal)
- Allow for modulepaths other than pwd (Sam Kottler)
- Updated submodules to latest and added option to run puppet to the generator (Sam Kottler)
- Use Puppet's own create_resources function if available (Dominic Cleal)
- Add create_resources from puppetlabs to make this work on 2.6 (Greg Sutcliffe)
- Ensure the terminal global is always set (Sam Kottler)
- Fix Puppet 2.6 compatibility, parse error with hash in function call (Dominic Cleal)
- Use git submodule foreach (Ewoud Kohl van Wijngaarden)
- Add answers generator v0.1 (Greg Sutcliffe)
- Version bump (Greg Sutcliffe)
- Bump foreman/foreman_proxy/puppet for 1.1RC repo support (Dominic Cleal)
- Update README.md (Ohad Levy)
- Bump dhcp/dns/foreman/foreman_proxy/passenger/puppet (Greg Sutcliffe)
- Rename loadyaml to loadanyyaml to prevent stdlib conflict (Dominic Cleal)
- bump concat/dhcp/puppet/foreman/tftp (Greg Sutcliffe)
- Throw error when YAML type is unknown (Dominic Cleal)
- Change YAML path to /etc/foreman-proxy/answers.yaml for consistency Parameterise foreman_installer class for answers.yaml location (Dominic Cleal)
- Update foreman, foreman_proxy, and puppet module commits (Greg Sutcliffe)
- Reapply YAML in develop branch (Greg Sutcliffe)

* Wed Nov 06 2024 Patrick Creech <pcreech@redhat.com> - 1:3.14.0-0.1.develop
- Bump version to 3.14-develop

* Thu Oct 24 2024 Evgeni Golov - 1:3.13.0-0.2.develop
- Require kafo >= 7.6

* Tue Aug 20 2024 Patrick Creech <pcreech@redhat.com> - 1:3.13.0-0.1.develop
- Bump version to 3.13-develop

* Thu Jul 18 2024 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.12.0-0.2.develop
- katello: depend on foreman-maintain

* Wed May 22 2024 Zach Huntington-Meath <zhunting@redhat.com> - 1:3.12.0-0.1.develop
- Bump version to 3.12-develop

* Tue Feb 20 2024 Patrick Creech <pcreech@redhat.com> - 1:3.11.0-0.1.develop
- Bump version to 3.11-develop

* Thu Jan 11 2024 Patrick Creech <pcreech@redhat.com> - 1:3.10.0-0.4.develop
- Remove pretrans segment

* Wed Nov 29 2023 Zach Huntington-Meath <zhunting@redhat.com> - 1:3.10.0-0.3.develop
- Bump version to 3.10-develop

* Wed Nov 15 2023 Evgeni Golov - 1:3.9.0-0.3.develop
- Require kafo >= 7.3.0

* Mon Oct 02 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.9.0-0.2.develop
- Require at least Kafo 7.2 to show failed resources

* Wed Aug 23 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.9.0-0.1.develop
- Bump version to 3.9-develop

* Tue May 23 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.8.0-0.1.develop
- Bump version to 3.8-develop

* Fri May 05 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.7.0-0.4.develop
- Widen allowed dependencies

* Thu May 04 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.7.0-0.3.develop
- Drop SCL macros
- Bump Puppet minimum version to 7.0.0

* Tue Mar 21 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.7.0-0.2.develop
- Correct Puppet version lower bound

* Wed Feb 22 2023 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.7.0-0.1.develop
- Bump version to 3.7-develop

* Tue Nov 08 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.6.0-0.1.develop
- Bump version to 3.6-develop

* Wed Aug 10 2022 Patrick Creech <pcreech@redhat.com> - 1:3.5.0-0.1.develop
- Bump version to 3.5-develop

* Thu Aug 04 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:3.4.0-0.3.develop
- Drop katello subdirectory from files

* Thu Jun 02 2022 Evgeni Golov - 1:3.4.0-0.2.develop
- bump kafo dependency for UTF-8 fix

* Tue May 10 2022 Odilon Sousa <osousa@redhat.com> - 1:3.4.0-0.1.develop
- Bump version to 3.4-develop

* Thu Feb 17 2022 Evgeni Golov - 1:3.3.0-0.2.develop
- require hostname explicitly

* Fri Feb 11 2022 Zach Huntington-Meath <zhunting@redhat.com> - 1:3.3.0-0.1.develop
- Bump version to 3.3-develop

* Fri Nov 12 2021 Odilon Sousa <osousa@redhat.com> - 1:3.2.0-0.1.develop
- Bump version to 3.2-develop

* Thu Aug 05 2021 Patrick Creech <pcreech@redhat.com> - 1:3.1.0-0.1.develop
- Bump version to 3.1-develop

* Thu Jul 22 2021 Tomer Brisker <tbrisker@gmail.com> - 1:3.0.0-0.1.develop
- Bump version to 3.0-develop

* Wed May 19 2021 Eric D. Helms <ericdhelms@gmail.com> - 1:2.6.0-0.3.develop
- Bump puppet-agent requires to 6.15.0

* Mon May 10 2021 Eric D. Helms <ericdhelms@gmail.com> - 1:2.6.0-0.2.develop
- Use Kafo 6.4+

* Tue May 04 2021 Zach Huntington-Meath <zhunting@redhat.com> - 1:2.6.0-0.1.develop
- Bump version to 2.6-develop

* Wed Apr 07 2021 Eric D. Helms <ericdhelms@gmail.com> - 1:2.5.0-0.4.develop
- Do not fail if rhel macro is undefined

* Fri Mar 05 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:2.5.0-0.3.develop
- Require Puppet with DNF module support (#32003)

* Mon Feb 15 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:2.5.0-0.2.develop
- Drop puppet/selinux workaround

* Tue Feb 02 2021 Evgeni Golov - 1:2.5.0-0.1.develop
- Bump version to 2.5-develop

* Mon Nov 02 2020 Patrick Creech <pcreech@redhat.com> - 1:2.4.0-0.1.develop
- Bump version to 2.4-develop

* Wed Oct 28 2020 Eric D. Helms <ericdhelms@gmail.com> - 1:2.3.0-0.3.develop
- Require kafo 6.0.0 or greater

* Wed Aug 26 2020 William Bradford Clark <wclark@redhat.com> - 1:2.3.0-0.2.develop
- Require kafo 5.1

* Tue Aug 11 2020 Eric D. Helms <ericdhelms@gmail.com> - 1:2.3.0-0.1.develop
- Bump version to 2.3-develop

* Fri Aug 07 2020 Eric D. Helms <ericdhelms@gmail.com> - 1:2.2.0-0.6.develop
- Require kafo 5.Y

* Tue Jul 28 2020 Eric D. Helms <ericdhelms@gmail.com> - 1:2.2.0-0.5.develop
- Drop requires on selinux packages, allow installer code to handle

* Thu Jul 02 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:2.2.0-0.4.develop
- Drop foreman-maintain dependency

* Wed May 13 2020 Eric D. Helms <ericdhelms@gmail.com> - 1:2.2.0-0.3.develop
- Bump version to 2.2-develop

* Wed Apr 08 2020 Eric D. Helms <ericdhelms@gmail.com> - 1:2.1.0-0.3.develop
- Build for EL8

* Wed Apr 01 2020 Eric D. Helms <ericdhelms@gmail.com> - 1:2.1.0-0.2.develop
- Build foreman-installer for SCL

* Thu Feb 13 2020 Tomer Brisker <tbrisker@gmail.com> - 1:2.1.0-0.1.develop
- Bump version to 2.1-develop

* Mon Jan 13 2020 Eric D. Helms <ericdhelms@gmail.com> - 1:2.0.0-0.2.develop
- Add requires on foreman-maintain

* Mon Jan 06 2020 Tomer Brisker <tbrisker@gmail.com> - 1:2.0.0-0.1.develop
- Bump version to 2.0-develop

* Mon Nov 18 2019 Evgeni Golov - 1:1.25.0-0.2.develop
- Unify prerelease macro handling

* Wed Oct 30 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.25.0-0.1.develop
- Bump version to 1.25-develop

* Fri Oct 18 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.24.0-0.4.develop
- Update package dependencies

* Thu Sep 12 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.24.0-0.3.develop
- Add which as a dependency since it's used in a hook

* Fri Aug 23 2019 Evgeni Golov - 1:1.24.0-0.2.develop
- don't move katello migrations when they point to a symlink

* Tue Jul 30 2019 Evgeni Golov - 1:1.24.0-0.1.develop
- Bump version to 1.24-develop

* Tue May 21 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.23.0-0.2.develop
- Require at least Puppet 5.5.10 (#26844)

* Tue Apr 23 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.23.0-0.1.develop
- Bump version to 1.23-develop

* Fri Mar 08 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.22.0-0.3.develop
- Update to Kafo 3 (#26282)
- Require Puppet >= 5.5.8 (#26339)
- Require puppet-agent-puppet-strings >= 1.2.0

* Fri Feb 22 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.22.0-0.2.develop
- Remove katello-service dependency (#26111)

* Wed Jan 16 2019 Evgeni Golov <evgeni@golov.de> - 1:1.22.0-0.1.develop
- Bump to 1.22

* Wed Dec 12 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.21.0-0.3.develop
- Add Katello installer subpackage

* Wed Oct 24 2018 Adam Price <komidore64@gmail.com> - 1:1.21.0-0.2.develop
- add nightly macro

* Wed Oct 17 2018 Eric D. Helms <ericdhelms@gmail.com> - 1:1.21.0-0.1.develop
- Bump version to 1.21 and reset release

* Wed Jul 25 2018 Eric D. Helms <ericdhelms@gmail.com> - 1:1.20.0-0.1.develop
- Add prerelease macro

* Tue Jul 17 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.20.0-0.develop
- Bump version to 1.20-develop

* Thu May 31 2018 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 1:1.19.0-0.develop
- Bump version to 1.19-develop

* Mon Aug 28 2017 Daniel Lobato Garcia <me@daniellobato.me> - 1.17.0-0.develop
- Bump version to 1.17-develop

* Wed Mar 29 2017 Eric D Helms <ericdhelms@gmail.com> - 1.16.0-0.develop
- Bump version to 1.16-develop

* Tue Dec 06 2016 Dominic Cleal <dominic@cleal.org> - 1.15.0-0.develop
- Bump version to 1.15-develop

* Wed Sep 07 2016 Dominic Cleal <dominic@cleal.org> - 1.14.0-0.develop
- Bump version to 1.14-develop

* Tue May 31 2016 Dominic Cleal <dominic@cleal.org> - 1.13.0-0.develop
- Bump version to 1.13-develop

* Fri Feb 19 2016 Dominic Cleal <dominic@cleal.org> - 1.12.0-0.develop
- Bump version to 1.12-develop

* Wed Oct 07 2015 Dominic Cleal <dcleal@redhat.com> - 1.11.0-0.develop
- Bump version to 1.11-develop

* Fri Jun 26 2015 Dominic Cleal <dcleal@redhat.com> - 1.10.0-0.develop
- Bump version to 1.10-develop

* Tue Mar 03 2015 Dominic Cleal <dcleal@redhat.com> - 1.9.0-0.develop
- Bump version to 1.9-develop

* Tue Oct 28 2014 Dominic Cleal <dcleal@redhat.com> - 1.8.0-0.develop
- Bump version to 1.8-develop

* Mon Aug 11 2014 Dominic Cleal <dcleal@redhat.com> - 1.7.0-0.develop
- Bump version to 1.7-develop

* Wed Apr 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.6.0-0.develop
- Bump to version 1.6-develop

* Thu Jan 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.5.0-0.develop
- Bump to version 1.5-develop

* Thu Nov 21 2013 Dominic Cleal <dcleal@redhat.com> - 1.4.0-0.develop
- Bump and change versioning scheme (#3712)

* Fri Nov 08 2013 Marek Hulan <mhulan[@]redhat.com> - 1.3.9999-4
- upgrade to kafo 0.3.0

* Thu Sep 12 2013 Marek Hulan <mhulan[@]redhat.com> - 1.3.9999-3
- set config flag on configuration files

* Thu Sep 12 2013 Marek Hulan <mhulan[@]redhat.com> - 1.3.9999-2
- config files packaging fix

* Wed Sep 11 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-1
- bump to version 1.3-develop

* Mon Jul 22 2013 Marek Hulan <mhulan[@]redhat.com> - 1.2.9999-3
- new files structure for a installer based on kafo

* Mon Jul 22 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-2
- adding foreman_api as a dependency

* Thu May 23 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-1
- initial version
